mysteryFrames = {}

local function multicall(f, ...)
	for i=1,select('#', ...) do
		f((select(i, ...)))
	end
end

hooksecurefunc("CreateFrame", 
	function (type, name, parent, template)
		if name == nil then
			local stackInfo = debugstack(3)
			local callPoint = stackInfo:match[[^Interface\AddOns\([^:]+:%d+)]] or stackInfo:match[[^[^:]+:%d+]]
			mysteryFrames[callPoint] = stackInfo
			print("Nameless Frame created: ", callPoint)
		end
	end
)